XNLOCK(1)

NAME
xnlock - amusing lock screen program with message for passers-by

SYNOPSIS
xnlock [ options ] [ message ]

DESCRIPTION
xnlock is a program that acts as a screen saver for workstations running X11. It also "locks" the screen such that the workstation can be left unattended without worry that someone else will walk up to it and mess everything up. When xnlock is running, a little man with a big nose and a hat runs around spewing out messages to the screen. By default, the messages are "humorous", but that depends on your sense of humor.

If a key or mouse button is pressed, a prompt is printed requesting the user's password. If a RETURN is not typed within 30 seconds, the little man resumes running around.

Text on the command line is used as the message. For example:
    % xnlock I'm out to lunch for a couple of hours.
Note the need to quote shell metacharacters.

In the absence of flags or text, xnlock displays random fortunes.

OPTIONS
Command line options override all resource specifications. All arguments that are not associated with a command line option is taken to be message text that the little man will "say" every once in a while. The resource xnlock.text may be set to a string.

-fn fontname
    The default font is the first 18 point font in the new century schoolbook family. While larger fonts are recokmmended over smaller ones, any font in the server's font list will work. The resource to use for this option is xnlock.font.

-filename  filename
    Take the message to be displayed from the file filename. If filename is not specified, $HOME/.msgfile is used. If the contents of the file are changed during runtime, the most recent text of the file is used (allowing the displayed message to be altered remotely). Carriage returns within the text are allowed, but tabs or other control characters are not translated and should not be used. The resource available for this option is xnlock.file.

-ar Accept root's password to unlock screen. This option is true by default. The reason for this is so that someone's screen may be unlocked by autorized users in case of emergency and the person running the program is still out to lunch. The resource available for specifying this option is xnlock.acceptRootPasswd.

-noar
    Don't accept root's password. This option is for paranoids who fear their peers might breakin using root's password and remove their files anyway. Specifying this option on the command line overrides the xnlock.acceptRootPasswd if set to True.

-ip Ignore password prompt. The resource available for this option is xnlock.ignorePasswd.

-noip
    Don't ignore password prompt. This is available in order to override the resource ignorePasswd if set to True.

-fg color
    Specifies the foreground color. The resource available for this is xnlock.foreground.

-bg color
    Specifies the background color. The resource available for this is xnlock.background.

-rv Reverse the foreground and background colors. The resource for this is xvnlock.reverseVideo.

-norv
    Don't use reverse video. This is available to override the reverseVideo resource if set to True.

-prog program
    Receive message text from the running program program. If there are arguments to program, encase them with the name of the program in quotes (e.g. xnlock -t "fortune -o"). The resource for this is xnlock.program.

RESOURCES
xnlock.font: fontname
xnlock.foreground: color
xnlock.background: color
xnlock.reverseVideo: True/False
xnlock.text: Some random text string
xnlock.program: program [args]
xnlock.ignorePasswd: True/False
xnlock.acceptRootPasswd: True/False

FILES
xnlock executable file
~/.msgfile default message file

AUTHOR
Dan Heller <argv@sun.com> Copyright (c) 1985, 1990.
The original version of this program was written using pixrects on a Sun 2 running SunOS 1.1.